com.google.gwt.user.client.ui

## Class Tree.ImageAdapter

- java.lang.Object
- - com.google.gwt.user.client.ui.Tree.ImageAdapter

Enclosing class:
  Tree

    static class Tree.ImageAdapter
    extends java.lang.Object

There are several ways of configuring images for the Tree widget due to deprecated APIs.

### Constructor Summary

Constructors
Constructor and Description
`ImageAdapter()`
`ImageAdapter(Tree.Resources resources)`
`ImageAdapter(TreeImages images)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractImagePrototype` `treeClosed()`
`AbstractImagePrototype` `treeLeaf()`
`AbstractImagePrototype` `treeOpen()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageAdapter

    public ImageAdapter()

#### ImageAdapter

    public ImageAdapter(Tree.Resources resources)

#### ImageAdapter

    public ImageAdapter(TreeImages images)

### Method Detail

#### treeClosed

    public AbstractImagePrototype treeClosed()

#### treeLeaf

    public AbstractImagePrototype treeLeaf()

#### treeOpen

    public AbstractImagePrototype treeOpen()